# GNU make is required to use this file.
MRUBY_PACKAGE_DIR_GNU := $(shell dirname "$(lastword $(MAKEFILE_LIST))")
MRUBY_PACKAGE_DIR != dirname "$(MRUBY_PACKAGE_DIR_GNU)"
MRUBY_CC = gcc
MRUBY_CFLAGS = -std=gnu99 -Os -fstack-clash-protection -Wformat -Werror=format-security -DMRB_USE_READLINE -DMRB_UTF8_STRING -DMRB_USE_RATIONAL -DMRB_USE_COMPLEX -DMRB_USE_BIGINT -DMRB_USE_DEBUG_HOOK -I"$(MRUBY_PACKAGE_DIR)/include" -I"$(MRUBY_PACKAGE_DIR)/include/mruby/gems/mruby-time/include" -I"$(MRUBY_PACKAGE_DIR)/include/mruby/gems/mruby-io/include"
MRUBY_CXX = g++
MRUBY_CXXFLAGS = -Os -fstack-clash-protection -Wformat -Werror=format-security -D_GLIBCXX_ASSERTIONS=1 -D_LIBCPP_ENABLE_THREAD_SAFETY_ANNOTATIONS=1 -D_LIBCPP_ENABLE_HARDENED_MODE=1 -DMRB_USE_RATIONAL -DMRB_USE_COMPLEX -DMRB_USE_BIGINT -DMRB_USE_DEBUG_HOOK -I"$(MRUBY_PACKAGE_DIR)/include" -I"$(MRUBY_PACKAGE_DIR)/include/mruby/gems/mruby-time/include" -I"$(MRUBY_PACKAGE_DIR)/include/mruby/gems/mruby-io/include"
MRUBY_AS = gcc
MRUBY_ASFLAGS = -std=gnu99 -Os -fstack-clash-protection -Wformat -Werror=format-security -DMRB_USE_RATIONAL -DMRB_USE_COMPLEX -DMRB_USE_BIGINT -DMRB_USE_DEBUG_HOOK -I"$(MRUBY_PACKAGE_DIR)/include" -I"$(MRUBY_PACKAGE_DIR)/include/mruby/gems/mruby-time/include" -I"$(MRUBY_PACKAGE_DIR)/include/mruby/gems/mruby-io/include"
MRUBY_OBJC = gcc
MRUBY_OBJCFLAGS = -std=gnu99 -Os -fstack-clash-protection -Wformat -Werror=format-security -DMRB_USE_RATIONAL -DMRB_USE_COMPLEX -DMRB_USE_BIGINT -DMRB_USE_DEBUG_HOOK -I"$(MRUBY_PACKAGE_DIR)/include" -I"$(MRUBY_PACKAGE_DIR)/include/mruby/gems/mruby-time/include" -I"$(MRUBY_PACKAGE_DIR)/include/mruby/gems/mruby-io/include"
MRUBY_LD = g++
MRUBY_LDFLAGS = -Wl,--as-needed,-O1,--sort-common -Wl,-z,pack-relative-relocs -L$(MRUBY_PACKAGE_DIR)/lib
MRUBY_LDFLAGS_BEFORE_LIBS = 
MRUBY_LIBS = -lmruby -lm
MRUBY_LIBMRUBY_PATH = $(MRUBY_PACKAGE_DIR)/lib/libmruby.a
